import { ComponentType } from 'react';
import { EditorState } from 'draft-js';
import createBlockStyleButton from './utils/createBlockStyleButton';
import createInlineStyleButton from './utils/createInlineStyleButton';
import createBlockAlignmentButton from './utils/createBlockAlignmentButton';
import ItalicButton from './components/ItalicButton';
import BoldButton from './components/BoldButton';
import CodeButton from './components/CodeButton';
import UnderlineButton from './components/UnderlineButton';
import HeadlineOneButton from './components/HeadlineOneButton';
import HeadlineTwoButton from './components/HeadlineTwoButton';
import HeadlineThreeButton from './components/HeadlineThreeButton';
import UnorderedListButton from './components/UnorderedListButton';
import OrderedListButton from './components/OrderedListButton';
import BlockquoteButton from './components/BlockquoteButton';
import CodeBlockButton from './components/CodeBlockButton';
import AlignBlockDefaultButton from './components/AlignBlockDefaultButton';
import AlignBlockCenterButton from './components/AlignBlockCenterButton';
import AlignBlockLeftButton from './components/AlignBlockLeftButton';
import AlignBlockRightButton from './components/AlignBlockRightButton';
import SubButton from './components/SubButton';
import SupButton from './components/SupButton';
export interface DraftJsButtonTheme {
    active?: string;
    button?: string;
    buttonWrapper?: string;
}
export interface DraftJsButtonProps {
    theme: DraftJsButtonTheme;
}
export interface DraftJsBlockAlignmentButtonProps extends DraftJsButtonProps {
    alignment: string | null;
    setAlignment(val: {
        alignment: string;
    }): void;
}
export interface DraftJsStyleButtonProps extends DraftJsButtonProps {
    setEditorState(editorState: EditorState): void;
    getEditorState(): EditorState;
}
export declare type DraftJsBlockAlignmentButtonType = ComponentType<DraftJsBlockAlignmentButtonProps>;
export declare type DraftJsStyleButtonType = ComponentType<DraftJsStyleButtonProps>;
export { createBlockAlignmentButton, createBlockStyleButton, createInlineStyleButton, ItalicButton, BoldButton, SupButton, SubButton, CodeButton, UnderlineButton, HeadlineOneButton, HeadlineTwoButton, HeadlineThreeButton, UnorderedListButton, OrderedListButton, BlockquoteButton, CodeBlockButton, AlignBlockDefaultButton, AlignBlockCenterButton, AlignBlockLeftButton, AlignBlockRightButton, };
